aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Kahle <tom111@gmx.de>2010-10-27 20:13:56 +0200
committerThomas Kahle <tom111@gmx.de>2010-10-27 20:14:44 +0200
commit468bba7ae404b7433eb4ec0365fec920880b7235 (patch)
tree6ff7c11c5ea7e991676dbb5bf402d8fa2016d673 /sci-misc/salome-visu
parentMoved sci-math/nauty and its license to main tree (diff)
downloadsci-468bba7ae404b7433eb4ec0365fec920880b7235.tar.gz
sci-468bba7ae404b7433eb4ec0365fec920880b7235.tar.bz2
sci-468bba7ae404b7433eb4ec0365fec920880b7235.zip
sci-misc/salome-* bumped to 5.1.4
ebuild by Michael Riss in bug 330303
Diffstat (limited to 'sci-misc/salome-visu')
-rw-r--r--sci-misc/salome-visu/ChangeLog5
-rw-r--r--sci-misc/salome-visu/Manifest14
-rw-r--r--sci-misc/salome-visu/salome-visu-5.1.4.ebuild105
3 files changed, 113 insertions, 11 deletions
diff --git a/sci-misc/salome-visu/ChangeLog b/sci-misc/salome-visu/ChangeLog
index dc59784fb..110c8866c 100644
--- a/sci-misc/salome-visu/ChangeLog
+++ b/sci-misc/salome-visu/ChangeLog
@@ -1,6 +1,11 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*salome-visu-5.1.4 (27 Oct 2010)
+
+ 27 Oct 2010; Thomas Kahle <tomka@gentoo.org> +salome-visu-5.1.4.ebuild:
+ Bump to 5.1.4, ebuild by Michael Riss in bug 330303
+
29 Jun 2010; Justin Lecher <jlec@gentoo.org> salome-visu-5.1.3.ebuild:
Python ABI fixes
diff --git a/sci-misc/salome-visu/Manifest b/sci-misc/salome-visu/Manifest
index 03e4994d7..5600a07f6 100644
--- a/sci-misc/salome-visu/Manifest
+++ b/sci-misc/salome-visu/Manifest
@@ -1,14 +1,6 @@
------BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA1
-
DIST src5.1.3.tar.gz 106470135 RMD160 f46ac847ab57c76df524ddf358b887662fc862cf SHA1 643c775f90277314983747e002918ee5b826db90 SHA256 78ce2acc9cfa474e030723674f4420c420fd2de926b1939455c3716f1fd48a2b
+DIST src5.1.4.tar.gz 120063320 RMD160 c309cebcc4808071d72b5a335185002d69d1420f SHA1 a8b922424af634bda35269e6049a1262e27fc260 SHA256 dd59384ad4fbbbe49c72e946eed9e0f6144a01c799efab62033113a3db46eeae
EBUILD salome-visu-5.1.3.ebuild 2993 RMD160 030451f984ac1149ebdb451b345cf9d73c5df220 SHA1 e3a7a848ccd891bc9482e5a83e7103bb5bec3033 SHA256 5c67842f1e3f686a79d0ef1612a31dec25123883d66400e48fd971840880f9af
-MISC ChangeLog 1649 RMD160 ffa7d2fe1997d62f875724c6961040bac1d0806a SHA1 df331f14ab88579a30b7efd47db0b4265f922742 SHA256 f462d1abf08de61686c6fddd654be5cfd1f870ef566a40b7b4b1b86ff7ff4ad0
+EBUILD salome-visu-5.1.4.ebuild 3080 RMD160 b7f9e7b69abda4d256855bea5532496d869e9c59 SHA1 c7524e530db575249c9925c304cbc2bfe99b4d8b SHA256 cae77f362921a395f6bc6dd503bcf1829401a568377e04219a311624cd1c215b
+MISC ChangeLog 1812 RMD160 59334577644d8a3db960d12c0bf3fbaf75a949ac SHA1 3c379396400be7bcbc7e0fdd81c8c2eb804dc254 SHA256 a78f378cf6f6a5630f9033fdc8d1767b11226091867e4f7074ad575c61e9a4a9
MISC metadata.xml 156 RMD160 dc078172bfebcb25d69bdf8731714f9cce9d3e36 SHA1 da2b240a255820145b7c83a5c48e45b96b7e9ee6 SHA256 5d22100902db7507a5b5493dd4a66cdb08025faf80a2c0b75e6392315c47f900
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.15 (GNU/Linux)
-
-iEYEARECAAYFAkwqWtMACgkQgAnW8HDreRblrACfYYtdnsKZnwRkR9LLk9mnT1ks
-Ux0AoIwckoTjXntHYlcu7b0r0+DX3p4T
-=8+C9
------END PGP SIGNATURE-----
diff --git a/sci-misc/salome-visu/salome-visu-5.1.4.ebuild b/sci-misc/salome-visu/salome-visu-5.1.4.ebuild
new file mode 100644
index 000000000..a849e7119
--- /dev/null
+++ b/sci-misc/salome-visu/salome-visu-5.1.4.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+PYTHON_DEPEND="2:2.4"
+
+inherit eutils flag-o-matic python
+
+DESCRIPTION="SALOME : The Open Source Integration Platform for Numerical Simulation. VISU Component"
+HOMEPAGE="http://www.salome-platform.org"
+SRC_URI="http://files.opencascade.com/Salome/Salome${PV}/src${PV}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="debug doc opengl"
+
+RDEPEND="opengl? ( virtual/opengl )
+ >=dev-python/omniorbpy-3.4
+ >=net-misc/omniORB-4.1.4
+ >=sci-misc/salome-kernel-${PV}
+ >=sci-misc/salome-gui-${PV}
+ >=sci-misc/salome-component-${PV}
+ >=x11-libs/qt-core-4.5.2
+ >=x11-libs/qt-gui-4.5.2
+ >=x11-libs/qt-opengl-4.5.2
+ >=dev-libs/boost-1.40.0
+ >=sci-libs/opencascade-6.3
+ >=sci-libs/hdf5-1.6.4
+ >=sci-libs/med-2.3.5
+ >=sci-libs/vtk-5.0[python]"
+
+DEPEND="${RDEPEND}
+ dev-lang/swig
+ >=app-doc/doxygen-1.5.6
+ media-gfx/graphviz
+ >=dev-python/docutils-0.4"
+
+MODULE_NAME="VISU"
+S="${WORKDIR}/src${PV}/${MODULE_NAME}_SRC_${PV}"
+INSTALL_DIR="/opt/salome-${PV}/${MODULE_NAME}"
+VISU_ROOT_DIR="/opt/salome-${PV}/${MODULE_NAME}"
+
+pkg_setup() {
+ [[ $(python_get_version) > 2.4 ]] && \
+ ewarn "Python 2.4 is highly recommended for Salome..."
+ python_set_active_version 2
+ append-ldflags $(no-as-needed)
+}
+
+src_prepare() {
+ rm -r -f autom4te.cache
+ ./build_configure
+}
+
+src_configure() {
+ local vtk_suffix=""
+
+ has_version ">=sci-libs/vtk-5.0" && vtk_suffix="-5.0"
+ has_version ">=sci-libs/vtk-5.2" && vtk_suffix="-5.2"
+ has_version ">=sci-libs/vtk-5.4" && vtk_suffix="-5.4"
+ has_version ">=sci-libs/vtk-5.6" && vtk_suffix="-5.6"
+
+ use amd64 && append-flags -DHAVE_F77INT64
+
+ econf --prefix=${INSTALL_DIR} \
+ --datadir=${INSTALL_DIR}/share/salome \
+ --docdir=${INSTALL_DIR}/doc/salome \
+ --infodir=${INSTALL_DIR}/share/info \
+ --libdir=${INSTALL_DIR}/$(get_libdir)/salome \
+ --with-python-site=${INSTALL_DIR}/$(get_libdir)/python$(python_get_version)/site-packages/salome \
+ --with-python-site-exec=${INSTALL_DIR}/$(get_libdir)/python$(python_get_version)/site-packages/salome \
+ --with-vtk=${VTKHOME} \
+ --with-vtk-version=${vtk_suffix} \
+ --with-qt="/usr" \
+ --with-qwt_inc="/usr/include/qwt5" \
+ $(use_enable debug ) \
+ $(use_enable !debug production ) \
+ $(use_with opengl opengl /usr) \
+ || die "econf failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ use amd64 && dosym ${INSTALL_DIR}/lib64 ${INSTALL_DIR}/lib
+
+ echo "${MODULE_NAME}_ROOT_DIR=${INSTALL_DIR}" > ./90${P}
+ echo "LDPATH=${INSTALL_DIR}/$(get_libdir)/salome" >> ./90${P}
+ echo "PATH=${INSTALL_DIR}/bin/salome" >> ./90${P}
+ echo "PYTHONPATH=${INSTALL_DIR}/$(get_libdir)/python$(python_get_version)/site-packages/salome" >> ./90${P}
+ doenvd 90${P}
+ rm adm_local/Makefile
+ insinto "${INSTALL_DIR}"
+ doins -r adm_local
+
+ use doc && dodoc INSTALL
+}
+
+pkg_postinst() {
+ elog "Run \`env-update && source /etc/profile\`"
+ elog "now to set up the correct paths."
+ elog ""
+}